Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
engine cart or...
tjohnson@hopper:~/src/hyrax$ bundle exec rake engine_cart:regenerate
Removing sample rails app
create
/home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/fileutils.rb:122: warning: conflicting chdir during another chdir block
create README.md
create Rakefile
create config.ru
create .gitignore
create Gemfile
run git init from "."
Initialized empty Git repository in /tmp/d20190204-29396-11we1da/internal/.git/
create app
create app/assets/config/manifest.js
create app/assets/javascripts/application.js
create app/assets/javascripts/cable.js
create app/assets/stylesheets/application.css
create app/channels/application_cable/channel.rb
create app/channels/application_cable/connection.rb
create app/controllers/application_controller.rb
create app/helpers/application_helper.rb
create app/jobs/application_job.rb
create app/mailers/application_mailer.rb
create app/models/application_record.rb
create app/views/layouts/application.html.erb
create app/views/layouts/mailer.html.erb
create app/views/layouts/mailer.text.erb
create app/assets/images/.keep
create app/assets/javascripts/channels
create app/assets/javascripts/channels/.keep
create app/controllers/concerns/.keep
create app/models/concerns/.keep
create bin
create bin/bundle
create bin/rails
create bin/rake
create bin/setup
create bin/update
create bin/yarn
create config
create config/routes.rb
create config/application.rb
create config/environment.rb
create config/secrets.yml
create config/cable.yml
create config/puma.rb
create config/environments
create config/environments/development.rb
create config/environments/production.rb
create config/environments/test.rb
create config/initializers
create config/initializers/application_controller_renderer.rb
create config/initializers/assets.rb
create config/initializers/backtrace_silencers.rb
create config/initializers/cookies_serializer.rb
create config/initializers/cors.rb
create config/initializers/filter_parameter_logging.rb
create config/initializers/inflections.rb
create config/initializers/mime_types.rb
create config/initializers/new_framework_defaults_5_1.rb
create config/initializers/wrap_parameters.rb
create config/locales
create config/locales/en.yml
create config/boot.rb
create config/database.yml
create db
create db/seeds.rb
create lib
create lib/tasks
create lib/tasks/.keep
create lib/assets
create lib/assets/.keep
create log
create log/.keep
create public
create public/404.html
create public/422.html
create public/500.html
create public/apple-touch-icon-precomposed.png
create public/apple-touch-icon.png
create public/favicon.ico
create public/robots.txt
create test/fixtures
create test/fixtures/.keep
create test/fixtures/files
create test/fixtures/files/.keep
create test/controllers
create test/controllers/.keep
create test/mailers
create test/mailers/.keep
create test/models
create test/models/.keep
create test/helpers
create test/helpers/.keep
create test/integration
create test/integration/.keep
create test/test_helper.rb
create test/system
create test/system/.keep
create test/application_system_test_case.rb
create tmp
create tmp/.keep
create tmp/cache
create tmp/cache/assets
create vendor
create vendor/.keep
create package.json
remove config/initializers/cors.rb
remove config/initializers/new_framework_defaults_5_1.rb
run bundle install
The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x86-mswin32, x64-mingw32, java. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x86-mswin32 x64-mingw32 java`.
Fetching gem metadata from https://rubygems.org/..........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Using rake 12.3.2
Using concurrent-ruby 1.1.4
Using i18n 1.5.3
Using minitest 5.11.3
Using thread_safe 0.3.6
Using tzinfo 1.2.5
Using activesupport 5.1.6.1
Using builder 3.2.3
Using erubi 1.8.0
Using mini_portile2 2.4.0
Using nokogiri 1.10.1
Using rails-dom-testing 2.0.3
Using crass 1.0.4
Using loofah 2.2.3
Using rails-html-sanitizer 1.0.4
Using actionview 5.1.6.1
Using rack 2.0.6
Using rack-test 1.1.0
Using actionpack 5.1.6.1
Using nio4r 2.3.1
Using websocket-extensions 0.1.3
Using websocket-driver 0.6.5
Using actioncable 5.1.6.1
Using globalid 0.4.2
Using activejob 5.1.6.1
Using mini_mime 1.0.1
Using mail 2.7.1
Using actionmailer 5.1.6.1
Using activemodel 5.1.6.1
Using arel 8.0.0
Using activerecord 5.1.6.1
Using public_suffix 3.0.3
Using addressable 2.6.0
Using bindex 0.5.0
Using bundler 2.0.1
Using byebug 10.0.2
Using xpath 3.2.0
Using capybara 2.18.0
Using ffi 1.10.0
Using childprocess 0.9.0
Using coffee-script-source 1.12.2
Using execjs 2.7.0
Using coffee-script 2.4.1
Using method_source 0.9.2
Using thor 0.20.3
Using railties 5.1.6.1
Using coffee-rails 4.2.2
Using multi_json 1.13.1
Using jbuilder 2.8.0
Using puma 3.12.0
Using sprockets 3.7.2
Using sprockets-rails 3.2.1
Using rails 5.1.6.1
Using rb-fsevent 0.10.3
Using rb-inotify 0.10.0
Using rubyzip 1.2.2
Using sass-listen 4.0.0
Using sass 3.7.3
Using tilt 2.0.9
Using sass-rails 5.0.7
Using selenium-webdriver 3.141.0
Using sqlite3 1.4.0
Using turbolinks-source 5.2.0
Using turbolinks 5.2.0
Using uglifier 4.1.20
Using web-console 3.7.0
Bundle complete! 13 Gemfile dependencies, 66 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/valkyrie-1.4.0/lib/valkyrie/types.rb:110: warning: already initialized constant #<Module:0x0000563bc2325038>::Int
/home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/dry-types-0.12.3/lib/dry/types.rb:119: warning: previous definition of Int was here
Traceback (most recent call last):
44: from bin/rails:4:in `<main>'
43: from bin/rails:4:in `require'
42: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/commands.rb:16:in `<top (required)>'
41: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/command.rb:44:in `invoke'
40: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/command/base.rb:63:in `perform'
39: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/thor-0.20.3/lib/thor.rb:387:in `dispatch'
38: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/thor-0.20.3/lib/thor/invocation.rb:126:in `invoke_command'
37: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/thor-0.20.3/lib/thor/command.rb:27:in `run'
36: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/commands/generate/generate_command.rb:17:in `perform'
35: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/commands/generate/generate_command.rb:8:in `help'
34: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/command/actions.rb:16:in `require_application_and_environment!'
33: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/application.rb:329:in `require_environment!'
32: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/dependencies.rb:292:in `require'
31: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/dependencies.rb:258:in `load_dependency'
30: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/dependencies.rb:292:in `block in require'
29: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/dependencies.rb:292:in `require'
28: from /home/tjohnson/src/hyrax/.internal_test_app/config/environment.rb:5:in `<top (required)>'
27: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/application.rb:353:in `initialize!'
26: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/initializable.rb:58:in `run_initializers'
25: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/tsort.rb:205:in `tsort_each'
24: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/tsort.rb:226:in `tsort_each'
23: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/tsort.rb:347:in `each_strongly_connected_component'
22: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/tsort.rb:347:in `call'
21: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/tsort.rb:347:in `each'
20: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/tsort.rb:349:in `block in each_strongly_connected_component'
19: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/tsort.rb:431:in `each_strongly_connected_component_from'
18: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_component'
17: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/2.5.0/tsort.rb:228:in `block in tsort_each'
16: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/initializable.rb:59:in `block in run_initializers'
15: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/initializable.rb:30:in `run'
14: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/railties-5.1.6.1/lib/rails/initializable.rb:30:in `instance_exec'
13: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activerecord-5.1.6.1/lib/active_record/railtie.rb:120:in `block in <class:Railtie>'
12: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/lazy_load_hooks.rb:40:in `on_load'
11: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/lazy_load_hooks.rb:40:in `each'
10: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/lazy_load_hooks.rb:41:in `block in on_load'
9: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/lazy_load_hooks.rb:65:in `execute_hook'
8: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/lazy_load_hooks.rb:60:in `with_execution_control'
7: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/lazy_load_hooks.rb:69:in `block in execute_hook'
6: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activesupport-5.1.6.1/lib/active_support/lazy_load_hooks.rb:69:in `instance_eval'
5: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activerecord-5.1.6.1/lib/active_record/railtie.rb:124:in `block (2 levels) in <class:Railtie>'
4: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activerecord-import-1.0.0/lib/activerecord-import/import.rb:248:in `establish_connection_with_activerecord_import'
3: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activerecord-5.1.6.1/lib/active_record/connection_handling.rb:58:in `establish_connection'
2: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activerecord-5.1.6.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:880:in `establish_connection'
1: from /home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activerecord-5.1.6.1/lib/active_record/connection_adapters/connection_specification.rb:185:in `spec'
/home/tjohnson/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/activerecord-5.1.6.1/lib/active_record/connection_adapters/connection_specification.rb:188:in `rescue in spec': Specified 'sqlite3' for database adapter, but the gem is not loaded. Add `gem 'sqlite3'` to your Gemfile (and ensure its version is at the minimum required by ActiveRecord). (Gem::LoadError)
rake aborted!
EngineCart failed on with: pid 29537 exit 1
/home/tjohnson/.rbenv/versions/2.5.3/bin/bundle:23:in `load'
/home/tjohnson/.rbenv/versions/2.5.3/bin/bundle:23:in `<main>'
Tasks: TOP => engine_cart:regenerate => engine_cart:generate
(See full trace by running task with --trace)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment